

I use it pretty often to keep my desktop, laptop, and server configs in sync.
To setup new systems, I created this bash script: https://lemmy.world/post/41584520/21545156
Then I would run the commands in my original post to create the symlinks.


I use it pretty often to keep my desktop, laptop, and server configs in sync.
To setup new systems, I created this bash script: https://lemmy.world/post/41584520/21545156
Then I would run the commands in my original post to create the symlinks.


Then you only need the “secret zero” of an ssh key to get everything set up and syncable
I made a script just for this purpose, I run the script on a fresh system and it pulls my stow directory without me needing to manually mess with ssh keys or passwords.
On a flashdrive, I have a folder named “setup”. In that folder, I have this script called “run” and a directory called “ssh”. In that “ssh” folder (not to be confused with ~/.ssh), I put my private ssh keys and their pubs.
#!/bin/bash
# stop script immediately on error
set -e
# change working directory to directory containing this script
cd "$(dirname "$0")"
# check that ./ssh exists and exit if not
if [ ! -d ./ssh ]; then
echo "./ssh not detected, exiting..."
exit 1
fi
# create .ssh directory
[ ! -d $HOME/.ssh ] && mkdir $HOME/.ssh
chmod 700 $HOME/.ssh
# copy keys to ~/.ssh
cp -a ./.ssh/. $HOME/.ssh/
# ensure right permissions for .ssh contents
# note: 2>/dev/null suppresses errors if no .pub files exist, || true to avoid exiting on failure
chmod 600 $HOME/.ssh/*
chmod 644 $HOME/.ssh/*.pub 2>/dev/null || true
# start ssh agent
eval `ssh-agent -s`
trap "ssh-agent -k" EXIT
# add keys
ssh-add "$HOME/.ssh/privatesshkey"
# add known hosts
# note: removing them first then adding again to avoid duplicate entries
ssh-keygen -R codeberg.org 2>/dev/null || true
ssh-keygen -R github.com 2>/dev/null || true
ssh-keyscan -H codeberg.org >> $HOME/.ssh/known_hosts
ssh-keyscan -H github.com >> $HOME/.ssh/known_hosts
# clone repo
cd $HOME
if [ -d "$HOME/stow" ]; then
TIMESTAMP=$(date +"%Y%m%d_%H%M%S")
mv "$HOME/stow" "$HOME/stow.old.$TIMESTAMP"
fi
git clone ssh://git@gitprovider.domain/myusername/stow.git


I’ve been happy with GNU Stow. Super simple and clean. I keep all the files in ~/stow and follow this workflow. You can avoid the git bits if you want and update ~/stow however you want.
cd ~/stow
# pull latest changes from git provider for syncing
git fetch
git status
git pull
# if made any edits and wanted to push them
git add .
git push origin main
# do a dry run of stow just to make sure it won't do anything weird
stow -n -v --no-folding .
# do a real run of stow if nothing is wrong
# note: --no-folding prevents folders from becoming symlinked, only files will be symlinks,
# this prevents unintended files from going into ~/stow
stow -v --no-folding .


Is this person at all known? They have next to 0 presence on their Github page. It’s unclear whether they have any developer experience, which makes me wonder if this document was just AI generated without any knowledge of what it would take to do what they want to do.


Sometimes
flatpak remote-modify --enable flathub
is necessary.


What might be better than turning it off is a onboarding screen that shows you how it works and you test it while the install completes.
There’s a million more important things it could show you instead


It can conflict with some programs. A lot of modern design programs make use of middle click drags to move around a canvas.
That caused problems for me and it took me days to realize it was middle click paste causing the issue of all these random segments of text appearing all over the canvas.
It was also annoying to disable. I was using Chromium at the time and you simply cannot disable it, even by disabling it in Gnome. I had to use Firefox exclusively when using that design program since at least Firefox has a hidden option to disable it.
Hardware/driver bugs are one thing, but COSMIC has plenty of purely software/logical bugs discoverable on any hardware.
That’s what the alphas, betas, and user studies are for.
Pushing buggy software out as stable is a feature of modern corporate software development that should be avoided. It gives a poor impression of the software.
Imagine spending 3+ years on staying mad at GNOME to release the most underwhelming software imaginable.
Shocking, a 3 year old project is not as well established as a 20+ year old desktops. Its feature set is enough to me, but they did release it too early as it is still quite buggy.
COSMIC is very poorly designed, it might be written in the “memory-safe programming language” but it’s clear that they don’t have a design backbone
It looks “fine”. I agree that modern Adwaita looks better, but it’s not terrible. The default theme is meh, but themes like Catppuccin makes it look nice. There’s also missing things like drop shadows and animations, which I believe are toolkit limitations.
They built an entire new desktop from scratch rather than work with GNOME
Gnome and System76 had different goals and UX ideas that were incompatible. Rather than continually patching Gnome and updating their patches to keep working, they decided to build their own thing, that’s fine.
I don’t quite get why Gnome people see this as a negative. If System76 is a poor downstream, then System76 no longer being a downstream is beneficial for them.
rather than work with GNOME or KDE and in that amount of time
I think that’s a good thing in the long run. Gnome and KDE both have a significant amount of technical debt.
One of the things I love about COSMIC is how sanely it’s built, following modern programming principles.
So while COSMIC is worse now due to its bugs and lack of features, I think it’s built on better foundations. That is, if System76 continues to invest in it. I’m not sure how profitable/unprofitable it is for them. My guess would be unprofitable.


It’s not atomic or cloud native either if you want to be strict with definitions.
The old Cosmic was built on top of Gnome using extensions, but the new Cosmic was written from scratch. It largely mimics the look of old Cosmic, but has introduced a few new things.
There are desktops try do mimic the look of MacOS, but none I’ve used actually felt like using MacOS. The first time I used MacOS, I was shocked at how many quirky things it does, the way it operates. No Linux desktop prepared me for that.
The only thing MacOS and Gnome have in common is a top bar and app grid. Other than that, MacOS is closer to Windows than Gnome.
And to further differentiate Gnome from MacOS,
Honestly the closest DE to MacOS is Cosmic. The launchers work similarly, the overviews work similarly, it has the option to handle minimized windows similarly to MacOS, uses menubars (but not global).
Nope, just stopped using it as my main drive. It becomes read-only far less often when only used as additional storage and less strenuous reading/writing.
I assume it is a firmware bug because both my original and replacement drive had the same issue.
Check dmesg logs and SMART check the drive.
I had two crucial drives that would go read only, some sort of firmware bug I guess.


Not what the article is about. This is just saying that Ubuntu is changing up how they handle the Yaru theme so they stay better in sync with Adwaita changes.


Technically it’s opt out. The welcome screen has it toggled on by default. But it is very prominently displayed, not hidden, so I don’t mind so much.
I went for the simplest option
Found it very simple. Avoided the tedious setup of samba and samba had weird reliability issues for me when copying large files. Took a bit to learn how ssh works, but very much so worth it.
I don’t get how Canonical is both super invested in snap, doubling down on its use, while simultaneously neglecting it and ignoring obvious issues.
The fact is that while I appreciate many technical aspects of snap, I will never use it again simply because I do not trust Canonical’s handling of the store. So much malware has made its way onto the store, remains on the store for extended periods of time, and Canonical has not changed their policies and review process in any meaningful way to stop this from happening.